Bug 1196729 - internal compiler error, building mame-0.159 for i686
Summary: internal compiler error, building mame-0.159 for i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-26 15:48 UTC by Fabrice Bellet
Modified: 2015-03-23 07:14 UTC (History)
4 users (show)

Fixed In Version: gcc-5.0.0-0.21.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-09 08:40:06 UTC
Type: Bug


Attachments (Terms of Use)
/tmp/cc2w6yt4.out (913.75 KB, text/x-csrc)
2015-02-26 15:48 UTC, Fabrice Bellet
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNU Compiler Collection 65032 0 None None None Never

Description Fabrice Bellet 2015-02-26 15:48:43 UTC
Created attachment 995674 [details]
/tmp/cc2w6yt4.out

Here is an internal compiler error, while rebuilding mame 0.159 for i686 in a mock buildroot:

src/emu/cpu/psx/gte.c: In member function 'int gte::docop2(UINT32, int)':
src/emu/cpu/psx/gte.c:946:1: internal compiler error: Segmentation fault
 }
 ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc2w6yt4.out file, please attach this to your bugreport.
makefile:975: recipe for target 'obj/sdl/emu/cpu/psx/gte.o' failed
make: *** [obj/sdl/emu/cpu/psx/gte.o] Error 1
make: *** Waiting for unfinished jobs....

Comment 1 Marek Polacek 2015-02-26 16:36:04 UTC
Tracking this upstream.

Comment 2 Jakub Jelinek 2015-03-09 08:40:06 UTC
Should be fixed in gcc-5.0.0-0.18.

Comment 3 Fedora Update System 2015-03-20 10:57:43 UTC
gcc-5.0.0-0.21.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gcc-5.0.0-0.21.fc22

Comment 4 Fedora Update System 2015-03-23 07:14:12 UTC
gcc-5.0.0-0.21.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.